aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Hoa V. DINH <dinh.viet.hoa@gmail.com>2014-10-26 22:47:09 -0700
committerGravatar Hoa V. DINH <dinh.viet.hoa@gmail.com>2014-10-26 22:47:09 -0700
commit556c5afd23c09d969fda2ff604abc11c98def032 (patch)
tree825cfc10b71d8ebcc079824b218f4b11f52d9d56 /scripts
parent747cf9556b292791c2856c01a49b7f4c28cf849d (diff)
Builds can be performed from a branch
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/include.sh/build-dep.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/scripts/include.sh/build-dep.sh b/scripts/include.sh/build-dep.sh
index 5b762d28..6bc53804 100755
--- a/scripts/include.sh/build-dep.sh
+++ b/scripts/include.sh/build-dep.sh
@@ -59,6 +59,7 @@ build_git_ios()
cd "$builddir/downloads"
if test -d "$name" ; then
cd "$name"
+ git checkout master
git pull --rebase
else
git clone $url "$name"
@@ -72,6 +73,11 @@ build_git_ios()
cp -R "$builddir/downloads/$name" "$srcdir/$name"
cd "$srcdir/$name"
+ if test "x$branch" != x ; then
+ if ! git checkout -b "$branch" "origin/$branch" ; then
+ git checkout "$branch"
+ fi
+ fi
git checkout -q $rev
echo building $name $version - $rev
@@ -186,6 +192,7 @@ build_git_osx()
cd "$builddir/downloads"
if test -d "$name" ; then
cd "$name"
+ git checkout master
git pull --rebase
else
git clone $url "$name"
@@ -199,6 +206,11 @@ build_git_osx()
cp -R "$builddir/downloads/$name" "$srcdir/$name"
cd "$srcdir/$name"
+ if test "x$branch" != x ; then
+ if ! git checkout -b "$branch" "origin/$branch" ; then
+ git checkout "$branch"
+ fi
+ fi
git checkout -q $rev
echo building $name $version - $rev